/*
    Created by Quo
*/
 


-- LOGS



INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_AA_GlobalObjects_Code',	'1',	'0',		'') ;



-- Set up a Modifier used for bug tracking. This modifier is empty, but it keeps track of this mod for debug purposes.
-- This code is out of date and no longer used.
INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AA_BUG_TRACK_DUMMY', 	'MODIFIER_PLAYER_DIPLOMACY_SIMPLE_MODIFIER', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 			Value,		Extra)
VALUES	('QUO_AA_BUG_TRACK_DUMMY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'0',		NULL),
 	('QUO_AA_BUG_TRACK_DUMMY', 	'File', 	'ARGTYPE_IDENTITY', 	'', 		NULL) ;



UPDATE ModifierArguments SET Value=Value || ', ORules' WHERE ModifierId='QUO_AA_BUG_TRACK_DUMMY' AND Name='File' ;




-- Code below ultimately maps to PLOT_HAS_PLANTATION_TAG_REQUIREMENTS, which is used throughout the game.
-- Make it refer to ALL plantations, not just a sub-set.

INSERT INTO TypeTags
	(Type, 	Tag)
VALUES	('RESOURCE_BANANAS', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_CITRUS', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_COTTON', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_DYES', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_SILK', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_SPICES', 'CLASS_GODDESS_OF_FESTIVALS'),
	('RESOURCE_SUGAR', 'CLASS_GODDESS_OF_FESTIVALS' ) ;




-- SPECIAL REQUIREMENT SETS

-- QUO_REQSET_MAJOR_CIV_ANYWHERE
-- Create a special requirement set for Major civs, even if player hasnt met them, since the main reqset for Major civs requires meeting them

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_MAJOR_CIV_ANYWHERE', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_MAJOR_CIV_ANYWHERE', 	'REQUIRES_MAJOR_CIV_OPPONENT') ; 




-- SPECIAL MODIFIERS

INSERT INTO Types
	(Type, Kind)
VALUES('QUO_MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER', 'KIND_MODIFIER');
	

	   
INSERT INTO DynamicModifiers
		(ModifierType, CollectionType, EffectType)
VALUES	('QUO_MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER', 'COLLECTION_PLAYER_DISTRICTS', 'EFFECT_ATTACH_MODIFIER') ;




-- UPDATE BUG TRACKER
-- This code should go last in every file

UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_AA_GlobalObjects_Code';
